<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>

<xsl:template match="/">

    <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
      <head>

	     <style type="text/css">
		 
		    h1 {
				font-family: Arial, Helvetica, sans-serif;
				color: #000000;
				font-size: 1.2em;
			}

			h2 {
				font-family: Arial, Helvetica, sans-serif;
				color: #000000;
				font-size: 1.0em;
			}

			#main {
				font-family: "Times New Roman", Times, serif;
				color: #444444;
				padding: 5px;
				border-collapse: collapse;
				border: 2px solid #333333;
				width: 100%;
			}
				
			#main td {
				border: 1px solid #333333;
				padding: 3px;
				font-size: .9em;
			}
				
			#main th {
				border: 1px solid #333333;
				background-color: #006000;
			}


			#main img.scenario {
				width: 150px;
			}

			#main img.campaign {
				width: 200px;
			}
			
			#main img.campaign_tree {
				height: 1920px;
				width: 1080px;
			}

			/* Table title row formatting */
			#main .title_col {
				width: 160px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .picture_col {
				width: 174px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .battletype_col {
				width: 100px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .description_col {
				width: 150px;
				color: #FFFF80;
				font-family: Arial;
			}
					
			#main .date_col {
				width: 80px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .timeofday_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .partofday_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .length_col {
				width: 55px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .battlesize_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .mapsize_col {
				width:120px;
				color: #FFFF80;
				font-family: Arial;
			}
			
			#main .region_col {
				width: 75px;
				color: #FFFF80;
				font-family: Arial;
			}
				
			#main .environment_col {
				width:70px;
				color: #FFFF80;
				font-family: Arial;
			}
				
			#main .weather_col {
				width: 75px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .temperature_col {
				width:60px;
				color: #FFFF80;
				font-family: Arial;
			}
				
			#main .groundcondition_col {
				width: 80px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .earlyintel_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .gameversion_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}
			
			#main .modulesrequired_col {
				width: 110px;
				color: #FFFF80;
				font-family: Arial;
			}
			
			#main .modtags_col {
				width: 80px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .sizemodifier_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .winthreshold_col {
				width: 120px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .nextbattle_col {
				width: 120px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .victory_col {
				width: 120px;
				color: #FFFF80;
				font-family: Arial;
			}

			#main .repair_col {
				width: 70px;
				color: #FFFF80;
				font-family: Arial;
			}

			/* Table body cell formatting*/
			#main .title {
				font-family: Arial, Helvetica, sansserif;
				font-weight: bold;
				text-align: left;
			}

			#main .picture {
				text-align: center;
			}

			#main .battletype {
				text-align: center;
			}

			#main .description {
				text-align: left;
			}

			#main .date {
				text-align: center;
			}

			#main .timeofday {
				text-align: center;
			}

			#main .partofday {
				text-align: center;
			}

			#main .length {
				text-align: center;
			}

			#main .battlesize {
				text-align: center;
			}

			#main .mapsize {
				text-align: left;
			}

			#main .region {
				text-align: center;
			}
			
			#main .environment {
				text-align: center;
			}

			#main .weather {
				text-align: center;
			}

			#main .temperature {
				text-align: center;
			}

			#main .groundcondition {
				text-align: center;
			}

			#main .earlyintel {
				text-align: center;
			}

			#main .gameversion {
				text-align: center;
			}
			
			#main .modulesrequired {
				text-align: center;
			}
			
			#main .modtags {
				text-align: center;
			}

			#main .sizemodifier {
				font-weight: bold;
				text-align: center;
			}

			#main .winthreshold {
				text-align: center;
			}

			#main .nextbattle {
				text-align: center;
			}

			#main .victory {
				text-align: center;
			}

			#main .repair {
				text-align: center;
			}
		 
		 </style>
		 
		 <script type="text/javascript">
            <![CDATA[
                  /*
				  SortTable
				  version 2
				  7th April 2007
				  Stuart Langridge, http://www.kryogenix.org/code/browser/sorttable/
				  
				  Instructions:
				  Download this file
				  Add <script src="sorttable.js"></script> to your HTML
				  Add class="sortable" to any table you'd like to make sortable
				  Click on the headers to sort
				  
				  Thanks to many, many people for contributions and suggestions.
				  Licenced as X11: http://www.kryogenix.org/code/browser/licence.html
				  This basically means: do what you want with it.
				*/

				 
				var stIsIE = /*@cc_on!@*/false;

				sorttable = {
				  init: function() {
					// quit if this function has already been called
					if (arguments.callee.done) return;
					// flag this function so we don't do the same thing twice
					arguments.callee.done = true;
					// kill the timer
					if (_timer) clearInterval(_timer);
					
					if (!document.createElement || !document.getElementsByTagName) return;
					
					sorttable.DATE_RE = /^(\d\d?)[\/\.-](\d\d?)[\/\.-]((\d\d)?\d\d)$/;
					
					forEach(document.getElementsByTagName('table'), function(table) {
					  if (table.className.search(/\bsortable\b/) != -1) {
						sorttable.makeSortable(table);
					  }
					});
					
				  },
				  
				  makeSortable: function(table) {
					if (table.getElementsByTagName('thead').length == 0) {
					  // table doesn't have a tHead. Since it should have, create one and
					  // put the first table row in it.
					  the = document.createElement('thead');
					  the.appendChild(table.rows[0]);
					  table.insertBefore(the,table.firstChild);
					}
					// Safari doesn't support table.tHead, sigh
					if (table.tHead == null) table.tHead = table.getElementsByTagName('thead')[0];
					
					if (table.tHead.rows.length != 1) return; // can't cope with two header rows
					
					// Sorttable v1 put rows with a class of "sortbottom" at the bottom (as
					// "total" rows, for example). This is B&R, since what you're supposed
					// to do is put them in a tfoot. So, if there are sortbottom rows,
					// for backwards compatibility, move them to tfoot (creating it if needed).
					sortbottomrows = [];
					for (var i=0; i<table.rows.length; i++) {
					  if (table.rows[i].className.search(/\bsortbottom\b/) != -1) {
						sortbottomrows[sortbottomrows.length] = table.rows[i];
					  }
					}
					if (sortbottomrows) {
					  if (table.tFoot == null) {
						// table doesn't have a tfoot. Create one.
						tfo = document.createElement('tfoot');
						table.appendChild(tfo);
					  }
					  for (var i=0; i<sortbottomrows.length; i++) {
						tfo.appendChild(sortbottomrows[i]);
					  }
					  delete sortbottomrows;
					}
					
					// work through each column and calculate its type
					headrow = table.tHead.rows[0].cells;
					for (var i=0; i<headrow.length; i++) {
					  // manually override the type with a sorttable_type attribute
					  if (!headrow[i].className.match(/\bsorttable_nosort\b/)) { // skip this col
						mtch = headrow[i].className.match(/\bsorttable_([a-z0-9]+)\b/);
						if (mtch) { override = mtch[1]; }
						  if (mtch && typeof sorttable["sort_"+override] == 'function') {
							headrow[i].sorttable_sortfunction = sorttable["sort_"+override];
						  } else {
							headrow[i].sorttable_sortfunction = sorttable.guessType(table,i);
						  }
						  // make it clickable to sort
						  headrow[i].sorttable_columnindex = i;
						  headrow[i].sorttable_tbody = table.tBodies[0];
						  dean_addEvent(headrow[i],"click", function(e) {

						  if (this.className.search(/\bsorttable_sorted\b/) != -1) {
							// if we're already sorted by this column, just 
							// reverse the table, which is quicker
							sorttable.reverse(this.sorttable_tbody);
							this.className = this.className.replace('sorttable_sorted',
																	'sorttable_sorted_reverse');
							this.removeChild(document.getElementById('sorttable_sortfwdind'));
							sortrevind = document.createElement('span');
							sortrevind.id = "sorttable_sortrevind";
							sortrevind.innerHTML = stIsIE ? '&nbsp<font face="webdings">5</font>' : '&nbsp;&#x25B4;';
							this.appendChild(sortrevind);
							return;
						  }
						  if (this.className.search(/\bsorttable_sorted_reverse\b/) != -1) {
							// if we're already sorted by this column in reverse, just 
							// re-reverse the table, which is quicker
							sorttable.reverse(this.sorttable_tbody);
							this.className = this.className.replace('sorttable_sorted_reverse',
																	'sorttable_sorted');
							this.removeChild(document.getElementById('sorttable_sortrevind'));
							sortfwdind = document.createElement('span');
							sortfwdind.id = "sorttable_sortfwdind";
							sortfwdind.innerHTML = stIsIE ? '&nbsp<font face="webdings">6</font>' : '&nbsp;&#x25BE;';
							this.appendChild(sortfwdind);
							return;
						  }
						  
						  // remove sorttable_sorted classes
						  theadrow = this.parentNode;
						  forEach(theadrow.childNodes, function(cell) {
							if (cell.nodeType == 1) { // an element
							  cell.className = cell.className.replace('sorttable_sorted_reverse','');
							  cell.className = cell.className.replace('sorttable_sorted','');
							}
						  });
						  sortfwdind = document.getElementById('sorttable_sortfwdind');
						  if (sortfwdind) { sortfwdind.parentNode.removeChild(sortfwdind); }
						  sortrevind = document.getElementById('sorttable_sortrevind');
						  if (sortrevind) { sortrevind.parentNode.removeChild(sortrevind); }
						  
						  this.className += ' sorttable_sorted';
						  sortfwdind = document.createElement('span');
						  sortfwdind.id = "sorttable_sortfwdind";
						  sortfwdind.innerHTML = stIsIE ? '&nbsp<font face="webdings">6</font>' : '&nbsp;&#x25BE;';
						  this.appendChild(sortfwdind);

							// build an array to sort. This is a Schwartzian transform thing,
							// i.e., we "decorate" each row with the actual sort key,
							// sort based on the sort keys, and then put the rows back in order
							// which is a lot faster because you only do getInnerText once per row
							row_array = [];
							col = this.sorttable_columnindex;
							rows = this.sorttable_tbody.rows;
							for (var j=0; j<rows.length; j++) {
							  row_array[row_array.length] = [sorttable.getInnerText(rows[j].cells[col]), rows[j]];
							}
							/* If you want a stable sort, uncomment the following line */
							//sorttable.shaker_sort(row_array, this.sorttable_sortfunction);
							/* and comment out this one */
							row_array.sort(this.sorttable_sortfunction);
							
							tb = this.sorttable_tbody;
							for (var j=0; j<row_array.length; j++) {
							  tb.appendChild(row_array[j][1]);
							}
							
							delete row_array;
						  });
						}
					}
				  },
				  
				  guessType: function(table, column) {
					// guess the type of a column based on its first non-blank row
					sortfn = sorttable.sort_alpha;
					for (var i=0; i<table.tBodies[0].rows.length; i++) {
					  text = sorttable.getInnerText(table.tBodies[0].rows[i].cells[column]);
					  if (text != '') {
						if (text.match(/^-?[$]?[\d,.]+%?$/)) {
						  return sorttable.sort_numeric;
						}
						// check for a date: dd/mm/yyyy or dd/mm/yy 
						// can have / or . or - as separator
						// can be mm/dd as well
						possdate = text.match(sorttable.DATE_RE)
						if (possdate) {
						  // looks like a date
						  first = parseInt(possdate[1]);
						  second = parseInt(possdate[2]);
						  if (first > 12) {
							// definitely dd/mm
							return sorttable.sort_ddmm;
						  } else if (second > 12) {
							return sorttable.sort_mmdd;
						  } else {
							// looks like a date, but we can't tell which, so assume
							// that it's dd/mm (English imperialism!) and keep looking
							sortfn = sorttable.sort_ddmm;
						  }
						}
					  }
					}
					return sortfn;
				  },
				  
				  getInnerText: function(node) {
					// gets the text we want to use for sorting for a cell.
					// strips leading and trailing whitespace.
					// this is *not* a generic getInnerText function; it's special to sorttable.
					// for example, you can override the cell text with a customkey attribute.
					// it also gets .value for <input> fields.
					
					hasInputs = (typeof node.getElementsByTagName == 'function') &&
								 node.getElementsByTagName('input').length;
					
					if (node.getAttribute("sorttable_customkey") != null) {
					  return node.getAttribute("sorttable_customkey");
					}
					else if (typeof node.textContent != 'undefined' && !hasInputs) {
					  return node.textContent.replace(/^\s+|\s+$/g, '');
					}
					else if (typeof node.innerText != 'undefined' && !hasInputs) {
					  return node.innerText.replace(/^\s+|\s+$/g, '');
					}
					else if (typeof node.text != 'undefined' && !hasInputs) {
					  return node.text.replace(/^\s+|\s+$/g, '');
					}
					else {
					  switch (node.nodeType) {
						case 3:
						  if (node.nodeName.toLowerCase() == 'input') {
							return node.value.replace(/^\s+|\s+$/g, '');
						  }
						case 4:
						  return node.nodeValue.replace(/^\s+|\s+$/g, '');
						  break;
						case 1:
						case 11:
						  var innerText = '';
						  for (var i = 0; i < node.childNodes.length; i++) {
							innerText += sorttable.getInnerText(node.childNodes[i]);
						  }
						  return innerText.replace(/^\s+|\s+$/g, '');
						  break;
						default:
						  return '';
					  }
					}
				  },
				  
				  reverse: function(tbody) {
					// reverse the rows in a tbody
					newrows = [];
					for (var i=0; i<tbody.rows.length; i++) {
					  newrows[newrows.length] = tbody.rows[i];
					}
					for (var i=newrows.length-1; i>=0; i--) {
					   tbody.appendChild(newrows[i]);
					}
					delete newrows;
				  },
				  
				  /* sort functions
					 each sort function takes two parameters, a and b
					 you are comparing a[0] and b[0] */
				  sort_numeric: function(a,b) {
					aa = parseFloat(a[0].replace(/[^0-9.-]/g,''));
					if (isNaN(aa)) aa = 0;
					bb = parseFloat(b[0].replace(/[^0-9.-]/g,'')); 
					if (isNaN(bb)) bb = 0;
					return aa-bb;
				  },
				  sort_alpha: function(a,b) {
					if (a[0]==b[0]) return 0;
					if (a[0]<b[0]) return -1;
					return 1;
				  },
				  sort_ddmm: function(a,b) {
					mtch = a[0].match(sorttable.DATE_RE);
					y = mtch[3]; m = mtch[2]; d = mtch[1];
					if (m.length == 1) m = '0'+m;
					if (d.length == 1) d = '0'+d;
					dt1 = y+m+d;
					mtch = b[0].match(sorttable.DATE_RE);
					y = mtch[3]; m = mtch[2]; d = mtch[1];
					if (m.length == 1) m = '0'+m;
					if (d.length == 1) d = '0'+d;
					dt2 = y+m+d;
					if (dt1==dt2) return 0;
					if (dt1<dt2) return -1;
					return 1;
				  },
				  sort_mmdd: function(a,b) {
					mtch = a[0].match(sorttable.DATE_RE);
					y = mtch[3]; d = mtch[2]; m = mtch[1];
					if (m.length == 1) m = '0'+m;
					if (d.length == 1) d = '0'+d;
					dt1 = y+m+d;
					mtch = b[0].match(sorttable.DATE_RE);
					y = mtch[3]; d = mtch[2]; m = mtch[1];
					if (m.length == 1) m = '0'+m;
					if (d.length == 1) d = '0'+d;
					dt2 = y+m+d;
					if (dt1==dt2) return 0;
					if (dt1<dt2) return -1;
					return 1;
				  },
				  
				  shaker_sort: function(list, comp_func) {
					// A stable sort function to allow multi-level sorting of data
					// see: http://en.wikipedia.org/wiki/Cocktail_sort
					// thanks to Joseph Nahmias
					var b = 0;
					var t = list.length - 1;
					var swap = true;

					while(swap) {
						swap = false;
						for(var i = b; i < t; ++i) {
							if ( comp_func(list[i], list[i+1]) > 0 ) {
								var q = list[i]; list[i] = list[i+1]; list[i+1] = q;
								swap = true;
							}
						} // for
						t--;

						if (!swap) break;

						for(var i = t; i > b; --i) {
							if ( comp_func(list[i], list[i-1]) < 0 ) {
								var q = list[i]; list[i] = list[i-1]; list[i-1] = q;
								swap = true;
							}
						} // for
						b++;

					} // while(swap)
				  }  
				}

				/* ******************************************************************
				   Supporting functions: bundled here to avoid depending on a library
				   ****************************************************************** */

				// Dean Edwards/Matthias Miller/John Resig

				/* for Mozilla/Opera9 */
				if (document.addEventListener) {
					document.addEventListener("DOMContentLoaded", sorttable.init, false);
				}

				/* for Internet Explorer */
				/*@cc_on @*/
				/*@if (@_win32)
					document.write("<script id=__ie_onload defer src=javascript:void(0)><\/script>");
					var script = document.getElementById("__ie_onload");
					script.onreadystatechange = function() {
						if (this.readyState == "complete") {
							sorttable.init(); // call the onload handler
						}
					};
				/*@end @*/

				/* for Safari */
				if (/WebKit/i.test(navigator.userAgent)) { // sniff
					var _timer = setInterval(function() {
						if (/loaded|complete/.test(document.readyState)) {
							sorttable.init(); // call the onload handler
						}
					}, 10);
				}

				/* for other browsers */
				window.onload = sorttable.init;

				// written by Dean Edwards, 2005
				// with input from Tino Zijdel, Matthias Miller, Diego Perini

				// http://dean.edwards.name/weblog/2005/10/add-event/

				function dean_addEvent(element, type, handler) {
					if (element.addEventListener) {
						element.addEventListener(type, handler, false);
					} else {
						// assign each event handler a unique ID
						if (!handler.$$guid) handler.$$guid = dean_addEvent.guid++;
						// create a hash table of event types for the element
						if (!element.events) element.events = {};
						// create a hash table of event handlers for each element/event pair
						var handlers = element.events[type];
						if (!handlers) {
							handlers = element.events[type] = {};
							// store the existing event handler (if there is one)
							if (element["on" + type]) {
								handlers[0] = element["on" + type];
							}
						}
						// store the event handler in the hash table
						handlers[handler.$$guid] = handler;
						// assign a global event handler to do all the work
						element["on" + type] = handleEvent;
					}
				};
				// a counter used to create unique IDs
				dean_addEvent.guid = 1;

				function removeEvent(element, type, handler) {
					if (element.removeEventListener) {
						element.removeEventListener(type, handler, false);
					} else {
						// delete the event handler from the hash table
						if (element.events && element.events[type]) {
							delete element.events[type][handler.$$guid];
						}
					}
				};

				function handleEvent(event) {
					var returnValue = true;
					// grab the event object (IE uses a global event object)
					event = event || fixEvent(((this.ownerDocument || this.document || this).parentWindow || window).event);
					// get a reference to the hash table of event handlers
					var handlers = this.events[event.type];
					// execute each event handler
					for (var i in handlers) {
						this.$$handleEvent = handlers[i];
						if (this.$$handleEvent(event) === false) {
							returnValue = false;
						}
					}
					return returnValue;
				};

				function fixEvent(event) {
					// add W3C standard event methods
					event.preventDefault = fixEvent.preventDefault;
					event.stopPropagation = fixEvent.stopPropagation;
					return event;
				};
				fixEvent.preventDefault = function() {
					this.returnValue = false;
				};
				fixEvent.stopPropagation = function() {
				  this.cancelBubble = true;
				}

				// Dean's forEach: http://dean.edwards.name/base/forEach.js
				/*
					forEach, version 1.0
					Copyright 2006, Dean Edwards
					License: http://www.opensource.org/licenses/mit-license.php
				*/

				// array-like enumeration
				if (!Array.forEach) { // mozilla already supports this
					Array.forEach = function(array, block, context) {
						for (var i = 0; i < array.length; i++) {
							block.call(context, array[i], i, array);
						}
					};
				}

				// generic enumeration
				Function.prototype.forEach = function(object, block, context) {
					for (var key in object) {
						if (typeof this.prototype[key] == "undefined") {
							block.call(context, object[key], key, object);
						}
					}
				};

				// character enumeration
				String.forEach = function(string, block, context) {
					Array.forEach(string.split(""), function(chr, index) {
						block.call(context, chr, index, string);
					});
				};

				// globally resolve forEach enumeration
				var forEach = function(object, block, context) {
					if (object) {
						var resolve = Object; // default
						if (object instanceof Function) {
							// functions have a "length" property
							resolve = Function;
						} else if (object.forEach instanceof Function) {
							// the object implements a custom forEach method so use that
							object.forEach(block, context);
							return;
						} else if (typeof object == "string") {
							// the object is a string
							resolve = String;
						} else if (typeof object.length == "number") {
							// the object is array-like
							resolve = Array;
						}
						resolve.forEach(object, block, context);
					}
				};               
            ]]>
         </script>		  
		 
		 <xsl:choose>
		 
		    <xsl:when test="Scenario_Listing/Scenario_List/containing_campaign">
		       <title>CMx2 WW2 - Scenario Listing for Campaign "<xsl:value-of select="Scenario_Listing/Scenario_List/containing_campaign" />"</title>
		    </xsl:when>
		 
		    <xsl:when test="Scenario_Listing">
		       <title>CMx2 WW2 - Scenario Listing</title>
			</xsl:when>
			
			<xsl:when test="Campaign_Listing">
		       <title>CMx2 WW2 - Campaign Listing</title>
			</xsl:when>

		 </xsl:choose>
		 
      </head>
	  <body>
	  
	     <xsl:choose>
		 
		    <xsl:when test="Scenario_Listing">
		       <xsl:apply-templates select="Scenario_Listing"/>
			</xsl:when>
			
			<xsl:when test="Campaign_Listing">
		       <xsl:apply-templates select="Campaign_Listing"/>
			</xsl:when>
		 
		 </xsl:choose>	     
	  
	  </body>
   </html>

</xsl:template>

<xsl:template match="Scenario_Listing">
		 
	 <xsl:choose>
		<xsl:when test="Scenario_List/containing_campaign">
		   <h1>CMx2 WW2 - Scenario Listing for Campaign "<xsl:value-of select="Scenario_List/containing_campaign" />"</h1>
		</xsl:when>
	    <xsl:otherwise>
		   <h1>CMx2 WW2 - Scenario Listing</h1>
	    </xsl:otherwise>
	 </xsl:choose>
	 
	 <table id="main" class="sortable" style="table-layout:fixed">
		<tr>
		   <th class="title_col">Title</th>
		   <th class="picture_col">Picture</th>
		   <th class="battletype_col">Battle Type</th>
		   <th class="description_col">Description</th>
		   <th class="date_col">Date (dd/mm/yyyy)</th>
		   <th class="timeofday_col">Time of Day</th>
		   <th class="partofday_col">Part of the Day</th>
		   <th class="length_col">Length</th>
		   <th class="battlesize_col">Battle Size</th>
		   <th class="mapsize_col">Map Size (Area - Width/Depth)</th>
		   <th class="region_col">Region</th>
		   <th class="environment_col">Envir.</th>
		   <th class="weather_col">Weather</th>
		   <th class="temperature_col">Temp.</th>
		   <th class="groundcondition_col">Ground Condition</th>
		   <th class="earlyintel_col">Early Intel</th>
		   <th class="gameversion_col">Game Version</th>
		   <th class="modulesrequired_col">Modules Required</th>
		   <th class="modtags_col">Mod Tags</th>
		   <th class="sizemodifier_col">The Blitz Size Modifier</th>
		</tr>
		
		<xsl:for-each select="Scenario_List/Scenario">
		   <tr>
			  <td class="title"><xsl:value-of select="Title/number_in_campaign" /><br></br><xsl:value-of select="Title/battle_title" /><br></br><xsl:value-of select="Title/qb_filename" /></td>
			  <td class="picture"><img><xsl:attribute name="class">scenario</xsl:attribute><xsl:attribute name="src"><xsl:value-of select="picture_link" /></xsl:attribute><xsl:attribute name="alt">No picture provided!</xsl:attribute></img></td>
			  <td class="battletype"><xsl:value-of select="battle_type" /></td>
			  <td class="description"><xsl:value-of select="description" /></td>
			  <td class="date"><xsl:value-of select="date" /></td>
			  <td class="timeofday"><xsl:value-of select="time_of_day" /></td>
			  <td class="partofday"><xsl:value-of select="part_of_day" /></td>
			  <td class="length"><xsl:value-of select="length" /></td>
			  <td class="battlesize"><xsl:value-of select="battle_size" /></td>
			  <td class="mapsize"><xsl:value-of select="Map_Size/map_area" /><br></br>( <xsl:value-of select="Map_Size/map_width" /> / <xsl:value-of select="Map_Size/map_depth" /> )</td>
			  <td class="region"><xsl:value-of select="region" /></td>
			  <td class="environment"><xsl:value-of select="environment" /></td>
			  <td class="weather"><xsl:value-of select="weather" /></td>
			  <td class="temperature"><xsl:value-of select="temperature" /></td>
			  <td class="groundcondition"><xsl:value-of select="ground_condition" /></td>
			  <td class="earlyintel"><xsl:value-of select="early_intel" /></td>
			  <td class="gameversion"><xsl:value-of select="game_version" /></td>
			  <td class="modulesrequired"><xsl:value-of select="Modules_Required/module1" /><br></br><br></br><xsl:value-of select="Modules_Required/module2" /><br></br><br></br><xsl:value-of select="Modules_Required/module3" /><br></br><br></br><xsl:value-of select="Modules_Required/module4" /></td>
			  <td class="modtags"><xsl:for-each select="Mod_Tags/mod_tag"><xsl:value-of select="current()" /><br></br></xsl:for-each></td>
			  <td class="sizemodifier"><xsl:value-of select="size_modifier" /></td>
		   </tr>
		</xsl:for-each>

	 </table>

</xsl:template>

<xsl:template match="Campaign_Listing">

   <xsl:for-each select="Campaign_List/Campaign">
   
      <h1>CMx2 WW2 - Campaign Script Listing for Campaign "<xsl:value-of select="title" />"</h1>
	  
	  <img><xsl:attribute name="class">campaign</xsl:attribute><xsl:attribute name="src"><xsl:value-of select="picture_link" /></xsl:attribute><xsl:attribute name="alt">No picture provided!</xsl:attribute></img>
	  
	  <h2>Campaign created with CMx2 WW2 game version <xsl:value-of select="game_version" /><br></br>
	  The following Modules are required: <xsl:value-of select="Modules_Required/module1" /> <xsl:value-of select="Modules_Required/module2" /> <xsl:value-of select="Modules_Required/module3" /> <xsl:value-of select="Modules_Required/module4" />
	  </h2>
	  
	  <h2>The campaign decision tree is as follows:</h2>
	  
	  <img><xsl:attribute name="class">campaign_tree</xsl:attribute><xsl:attribute name="src"><xsl:value-of select="campaign_tree_link" /></xsl:attribute><xsl:attribute name="alt">No campaign decision tree available!</xsl:attribute></img>
	  
	  <table id="main" class="sortable" style="table-layout:fixed">
	     <tr>
		    <th class="title_col">Battle Number &amp;<br></br>Battle Name</th>
			<th class="winthreshold_col">Win Threshold</th>
			<th class="nextbattle_col">Next Battle after Win</th>
			<th class="nextbattle_col">Next Battle after Defeat</th>
			<th class="victory_col">Minimum Required Victory</th>
			<th class="victory_col">Maximum Allowed Victory</th>
			<th class="repair_col">Blue Refit</th>
			<th class="repair_col">Blue Repair Vehicle</th>
			<th class="repair_col">Blue Resupply</th>
			<th class="repair_col">Blue Rest</th>
			<th class="repair_col">Red Refit</th>
			<th class="repair_col">Red Repair Vehicle</th>
			<th class="repair_col">Red Resupply</th>
			<th class="repair_col">Red Rest</th>
		 </tr>
		 
	     <xsl:for-each select="Campaign_Decision_Block">
		    <tr>
				<td class="title"><xsl:value-of select="Scenario_Title/number_in_campaign" /><br></br><xsl:value-of select="Scenario_Title/battle_title" /></td>
				<td class="winthreshold"><xsl:value-of select="win_threshold" /></td>
				<td class="nextbattle"><xsl:value-of select="next_battle_win" /></td>
				<td class="nextbattle"><xsl:value-of select="next_battle_lose" /></td>
				<td class="victory"><xsl:value-of select="minimum_required_victory" /></td>
				<td class="victory"><xsl:value-of select="maximum_allowed_victory" /></td>
				<td class="repair"><xsl:value-of select="blue_refit" /></td>
				<td class="repair"><xsl:value-of select="blue_repair_vehicle" /></td>
				<td class="repair"><xsl:value-of select="blue_resupply" /></td>
				<td class="repair"><xsl:value-of select="blue_rest" /></td>
				<td class="repair"><xsl:value-of select="red_refit" /></td>
				<td class="repair"><xsl:value-of select="red_repair_vehicle" /></td>
				<td class="repair"><xsl:value-of select="red_resupply" /></td>
				<td class="repair"><xsl:value-of select="red_rest" /></td>
			</tr>
	     </xsl:for-each>
		 
      </table>
	  
	  <br/><br/><br/>
   
   </xsl:for-each>

</xsl:template>

</xsl:stylesheet>
